%global commit0  5a07df503a6f01280f493cbcc2aace462b9dee57
%define upstream_version 2.4_1

%define major		1
%define libname		%mklibname qt5lockedfile %major
%define develname	%mklibname qt5lockedfile -d

%define libnameqt4         %mklibname qt4lockedfile %major
%define develnameqt4      %mklibname qt4lockedfile -d

%define soname %(echo %{upstream_version} | cut -d '_' -f1)

Summary:	QFile extension with advisory locking functions
Name:		qtlockedfile
Version:	%(echo %{upstream_version} | sed 's,_,.,')
Release:	%mkrel 1
Group:		System/Libraries
License:	GPLv3 or LGPLv2 with exceptions
URL:		http://doc.qt.digia.com/solutions/4/qtlockedfile/qtlockedfile.html
Source0:	https://qt.gitorious.org/qt-solutions/qt-solutions/archive/%{commit}.tar.gz#/%{name}-%{commit0}.tar.xz
Source1:	qtlockedfile.prf
Source2:	LICENSE.LGPL
Source3:	LGPL_EXCEPTION
Source4:	LICENSE.GPL3

Patch0:		qtlockedfile-use-current-version.patch
Patch1:		qtlockedfile-dont-build-example.patch

BuildRequires: %{_lib}qt4-devel
BuildRequires: %{_lib}qt5core-devel



%description
This class extends the QFile class with inter-process file locking capabilities.
If an application requires that several processes should access the same file,
QtLockedFile can be used to easily ensure that only one process at a time is
writing to the file, and that no process is writing to it while others are
reading it.

#--------------------------------------------------------------------

%package	-n %libname
Summary:	QFile extension with advisory locking functions
Group:		System/Libraries

%description	-n %libname
This class extends the QFile class with inter-process file locking capabilities.
If an application requires that several processes should access the same file,
QtLockedFile can be used to easily ensure that only one process at a time is
writing to the file, and that no process is writing to it while others are
reading it.

This is the library package for %{name}

%files -n %libname
%{_qt5_libdir}/libQt5Solutions_LockedFile*.so.%{major}*

#--------------------------------------------------------------------

%package        -n %libnameqt4
Summary:        QFile extension with advisory locking functions
Group:          System/Libraries

%description    -n %libnameqt4
This class extends the QFile class with inter-process file locking capabilities.
If an application requires that several processes should access the same file,
QtLockedFile can be used to easily ensure that only one process at a time is
writing to the file, and that no process is writing to it while others are
reading it.

This is the library package for %{name}

%files -n %libnameqt4
%{_qt4_libdir}/libQtSolutions_LockedFile*.so.%{major}*

#--------------------------------------------------------------------

%package	-n %develname
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}
Provides:   %{name}5-devel = %{version}
Provides:   qt5lockedfile-devel = %{version}

%description	-n %develname
This package contains libraries and header files for developing applications
that use QtLockedFile.

%files -n %develname
%doc doc example
%{_qt5_libdir}/libQt5Solutions_LockedFile*.so
%dir %{_qt5_includedir}/QtSolutions/
%{_qt5_includedir}/QtSolutions/
%{_qt5_datadir}/mkspecs/features/%{name}.prf

#--------------------------------------------------------------------

%package        -n %develnameqt4
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{libnameqt4} = %{version}-%{release}
Provides:       qt4lockedfile-devel = %{version}

%description    -n %develnameqt4
This package contains libraries and header files for developing applications
that use QtLockedFile.

%files -n %develnameqt4
%doc doc example
%{_qt4_libdir}/libQtSolutions_LockedFile*.so
%dir %{_qt4_includedir}/QtSolutions/
%{_qt4_includedir}/QtSolutions/
%{_qt4_datadir}/mkspecs/features/%{name}.prf

#--------------------------------------------------------------------

%prep
%setup -qn qt-solutions-%{commit0}/%{name}
# use versioned soname
sed -i s,head,%soname, common.pri
mkdir licenses
cp %{SOURCE2} %{SOURCE3} %{SOURCE4} licenses

%build
touch .licenseAccepted
# Does not use GNU configure
./configure -library
mkdir qt5
pushd qt5
%qmake_qt5 ..
%make
popd

mkdir qt4
pushd qt4
%qmake_qt4 ..
%make
popd


%install
rm -rf %buildroot
# libraries
mkdir -p %{buildroot}%{_qt5_libdir}
cp -ap lib/* %{buildroot}%{_qt5_libdir}


# headers
mkdir -p %{buildroot}%{_qt5_includedir}/QtSolutions
cp -a \
    src/qtlockedfile.h \
    src/QtLockedFile \
    %{buildroot}%{_qt5_includedir}/QtSolutions

mkdir -p %{buildroot}%{_qt5_datadir}/mkspecs/features
cp -a %{SOURCE1} %{buildroot}%{_qt5_datadir}/mkspecs/features/

mkdir -p %{buildroot}%{_qt4_includedir}/QtSolutions
cp -a \
    src/qtlockedfile.h \
    src/QtLockedFile \
    %{buildroot}%{_qt4_includedir}/QtSolutions

mkdir -p %{buildroot}%{_qt4_datadir}/mkspecs/features
cp -a %{SOURCE1} %{buildroot}%{_qt4_datadir}/mkspecs/features/



%changelog
* Sun Jun 19 2016 bb <bb> 2.4.1-1pclos2016
- import into pclos

